import request from '@/utils/request'

// 查询收货地址列表
export function listMallMemberAddress(query) {
  return request({
    url: '/mall/mallMemberAddress/list',
    method: 'get',
    params: query
  })
}

// 查询收货地址详细
export function getMallMemberAddress(id) {
  return request({
    url: '/mall/mallMemberAddress/' + id,
    method: 'get'
  })
}

// 新增收货地址
export function addMallMemberAddress(data) {
  return request({
    url: '/mall/mallMemberAddress',
    method: 'post',
    data: data
  })
}

// 修改收货地址
export function updateMallMemberAddress(data) {
  return request({
    url: '/mall/mallMemberAddress',
    method: 'put',
    data: data
  })
}

// 删除收货地址
export function delMallMemberAddress(id) {
  return request({
    url: '/mall/mallMemberAddress/' + id,
    method: 'delete'
  })
}

// 导出收货地址
export function exportMallMemberAddress(query) {
  return request({
    url: '/mall/mallMemberAddress/export',
    method: 'get',
    params: query
  })
}